<?php
$tdatacat_municipios = array();
$tdatacat_municipios[".searchableFields"] = array();
$tdatacat_municipios[".ShortName"] = "cat_municipios";
$tdatacat_municipios[".OwnerID"] = "";
$tdatacat_municipios[".OriginalTable"] = "cat_municipios";


$tdatacat_municipios[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatacat_municipios[".originalPagesByType"] = $tdatacat_municipios[".pagesByType"];
$tdatacat_municipios[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatacat_municipios[".originalPages"] = $tdatacat_municipios[".pages"];
$tdatacat_municipios[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatacat_municipios[".originalDefaultPages"] = $tdatacat_municipios[".defaultPages"];

//	field labels
$fieldLabelscat_municipios = array();
$fieldToolTipscat_municipios = array();
$pageTitlescat_municipios = array();
$placeHolderscat_municipios = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelscat_municipios["Spanish"] = array();
	$fieldToolTipscat_municipios["Spanish"] = array();
	$placeHolderscat_municipios["Spanish"] = array();
	$pageTitlescat_municipios["Spanish"] = array();
	$fieldLabelscat_municipios["Spanish"]["id"] = "Id";
	$fieldToolTipscat_municipios["Spanish"]["id"] = "";
	$placeHolderscat_municipios["Spanish"]["id"] = "";
	$fieldLabelscat_municipios["Spanish"]["municipio"] = "Municipio";
	$fieldToolTipscat_municipios["Spanish"]["municipio"] = "";
	$placeHolderscat_municipios["Spanish"]["municipio"] = "";
	if (count($fieldToolTipscat_municipios["Spanish"]))
		$tdatacat_municipios[".isUseToolTips"] = true;
}


	$tdatacat_municipios[".NCSearch"] = true;



$tdatacat_municipios[".shortTableName"] = "cat_municipios";
$tdatacat_municipios[".nSecOptions"] = 0;

$tdatacat_municipios[".mainTableOwnerID"] = "";
$tdatacat_municipios[".entityType"] = 0;
$tdatacat_municipios[".connId"] = "seg_edomex_at_localhost";


$tdatacat_municipios[".strOriginalTableName"] = "cat_municipios";

	



$tdatacat_municipios[".showAddInPopup"] = false;

$tdatacat_municipios[".showEditInPopup"] = false;

$tdatacat_municipios[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacat_municipios[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacat_municipios[".listAjax"] = false;
//	temporary
$tdatacat_municipios[".listAjax"] = false;

	$tdatacat_municipios[".audit"] = false;

	$tdatacat_municipios[".locking"] = false;


$pages = $tdatacat_municipios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacat_municipios[".edit"] = true;
	$tdatacat_municipios[".afterEditAction"] = 1;
	$tdatacat_municipios[".closePopupAfterEdit"] = 1;
	$tdatacat_municipios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacat_municipios[".add"] = true;
$tdatacat_municipios[".afterAddAction"] = 1;
$tdatacat_municipios[".closePopupAfterAdd"] = 1;
$tdatacat_municipios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacat_municipios[".list"] = true;
}



$tdatacat_municipios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacat_municipios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacat_municipios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacat_municipios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacat_municipios[".printFriendly"] = true;
}



$tdatacat_municipios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacat_municipios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacat_municipios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacat_municipios[".isUseAjaxSuggest"] = true;

$tdatacat_municipios[".rowHighlite"] = true;





$tdatacat_municipios[".ajaxCodeSnippetAdded"] = false;

$tdatacat_municipios[".buttonsAdded"] = false;

$tdatacat_municipios[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacat_municipios[".isUseTimeForSearch"] = false;


$tdatacat_municipios[".badgeColor"] = "edca00";


$tdatacat_municipios[".allSearchFields"] = array();
$tdatacat_municipios[".filterFields"] = array();
$tdatacat_municipios[".requiredSearchFields"] = array();

$tdatacat_municipios[".googleLikeFields"] = array();
$tdatacat_municipios[".googleLikeFields"][] = "id";
$tdatacat_municipios[".googleLikeFields"][] = "municipio";



$tdatacat_municipios[".tableType"] = "list";

$tdatacat_municipios[".printerPageOrientation"] = 0;
$tdatacat_municipios[".nPrinterPageScale"] = 100;

$tdatacat_municipios[".nPrinterSplitRecords"] = 40;

$tdatacat_municipios[".geocodingEnabled"] = false;










$tdatacat_municipios[".pageSize"] = 20;

$tdatacat_municipios[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacat_municipios[".strOrderBy"] = $tstrOrderBy;

$tdatacat_municipios[".orderindexes"] = array();


$tdatacat_municipios[".sqlHead"] = "SELECT id,  	municipio";
$tdatacat_municipios[".sqlFrom"] = "FROM cat_municipios";
$tdatacat_municipios[".sqlWhereExpr"] = "";
$tdatacat_municipios[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacat_municipios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacat_municipios[".arrGroupsPerPage"] = $arrGPP;

$tdatacat_municipios[".highlightSearchResults"] = true;

$tableKeyscat_municipios = array();
$tableKeyscat_municipios[] = "id";
$tdatacat_municipios[".Keys"] = $tableKeyscat_municipios;


$tdatacat_municipios[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cat_municipios";
	$fdata["Label"] = GetFieldLabel("cat_municipios","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_municipios["id"] = $fdata;
		$tdatacat_municipios[".searchableFields"][] = "id";
//	municipio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "municipio";
	$fdata["GoodName"] = "municipio";
	$fdata["ownerTable"] = "cat_municipios";
	$fdata["Label"] = GetFieldLabel("cat_municipios","municipio");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "municipio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "municipio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacat_municipios["municipio"] = $fdata;
		$tdatacat_municipios[".searchableFields"][] = "municipio";


$tables_data["cat_municipios"]=&$tdatacat_municipios;
$field_labels["cat_municipios"] = &$fieldLabelscat_municipios;
$fieldToolTips["cat_municipios"] = &$fieldToolTipscat_municipios;
$placeHolders["cat_municipios"] = &$placeHolderscat_municipios;
$page_titles["cat_municipios"] = &$pageTitlescat_municipios;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cat_municipios"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cat_municipios"] = array();



	
				$strOriginalDetailsTable="camp_propuestas";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="camp_propuestas";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "camp_propuestas";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["cat_municipios"][0] = $masterParams;
				$masterTablesData["cat_municipios"][0]["masterKeys"] = array();
	$masterTablesData["cat_municipios"][0]["masterKeys"][]="munic_id";
				$masterTablesData["cat_municipios"][0]["detailKeys"] = array();
	$masterTablesData["cat_municipios"][0]["detailKeys"][]="id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cat_municipios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	municipio";
$proto0["m_strFrom"] = "FROM cat_municipios";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cat_municipios",
	"m_srcTableName" => "cat_municipios"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cat_municipios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "municipio",
	"m_strTable" => "cat_municipios",
	"m_srcTableName" => "cat_municipios"
));

$proto8["m_sql"] = "municipio";
$proto8["m_srcTableName"] = "cat_municipios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "cat_municipios";
$proto11["m_srcTableName"] = "cat_municipios";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "id";
$proto11["m_columns"][] = "municipio";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "cat_municipios";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "cat_municipios";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cat_municipios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cat_municipios = createSqlQuery_cat_municipios();


	
		;

		

$tdatacat_municipios[".sqlquery"] = $queryData_cat_municipios;



$tableEvents["cat_municipios"] = new eventsBase;
$tdatacat_municipios[".hasEvents"] = false;

?>